Skip to main content
PUT
/
v1
/
embeddings
curl --location --request PUT 'https://api.stateset.com/v1/embeddings' \
--header 'Content-Type: application/json' \
--header 'Authorization: Token <token>' \
--data-raw '{
    "id": "em_1NXWPnCo6bFb1KQto6C8OWvE"
}'
{
  "id": "<string>",
  "knowledge": "<string>",
  "user_id": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.stateset.com/llms.txt

Use this file to discover all available pages before exploring further.

Body

id
string
This is the ID of the embedding to be created.
knowledge
string
This is the text of the embedding.
metadata
string
This is the metadata of the embedding.
user_id
string
This is the user id of the embedding.

Response

id
string
This is the ID of the embedding.
knowledge
string
This is the text of the embedding.
This is the metadata of the embedding.
user_id
string
This is the user id of the embedding.
curl --location --request PUT 'https://api.stateset.com/v1/embeddings' \
--header 'Content-Type: application/json' \
--header 'Authorization: Token <token>' \
--data-raw '{
    "id": "em_1NXWPnCo6bFb1KQto6C8OWvE"
}'